Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.genctl
Interface TemplateCondition

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  TemplateConditionImpl

    public interface TemplateCondition

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Template Condition'. The TemplateCondition element provides a way to define a simple condition that determines whether or not a template should be processed.

The following features are supported:

- `Property Name`
- `Property Value`
- `Helper Name`

See Also:
  `GenctlPackage.getTemplateCondition()`

Method Summary
`java.lang.String` | `getHelperName()` Returns the value of the 'Helper Name' attribute
`java.lang.String` | `getPropertyName()` Returns the value of the 'Property Name' attribute
`java.lang.String` | `getPropertyValue()` Returns the value of the 'Property Value' attribute
`void` | `setHelperName(java.lang.String value)` Sets the value of the '`Helper Name`' attribute
`void` | `setPropertyName(java.lang.String value)` Sets the value of the '`Property Name`' attribute
`void` | `setPropertyValue(java.lang.String value)` Sets the value of the '`Property Value`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPropertyName

    java.lang.String getPropertyName()

  Returns the value of the 'Property Name' attribute. The name of the property that to test - the property must belong to the root model object (the appliesToClass).

  Returns:
    the value of the 'Property Name' attribute.
  See Also:
    `setPropertyName(String)`, `GenctlPackage.getTemplateCondition_PropertyName()`

### setPropertyName

    void setPropertyName(java.lang.String value)

  Sets the value of the '`Property Name`' attribute.

  Parameters:
    `value` - the new value of the 'Property Name' attribute.
  See Also:
    `getPropertyName()`

### getPropertyValue

    java.lang.String getPropertyValue()

  Returns the value of the 'Property Value' attribute. The value to test for. The template will be processed only if the property identified by property name has this value.

  Returns:
    the value of the 'Property Value' attribute.
  See Also:
    `setPropertyValue(String)`, `GenctlPackage.getTemplateCondition_PropertyValue()`

### setPropertyValue

    void setPropertyValue(java.lang.String value)

  Sets the value of the '`Property Value`' attribute.

  Parameters:
    `value` - the new value of the 'Property Value' attribute.
  See Also:
    `getPropertyValue()`

### getHelperName

    java.lang.String getHelperName()

  Returns the value of the 'Helper Name' attribute. Logical name of the helper that exposes the property. This value is used only if the property is not exposed directly by the object being processed by the template.

  Returns:
    the value of the 'Helper Name' attribute.
  See Also:
    `setHelperName(String)`, `GenctlPackage.getTemplateCondition_HelperName()`

### setHelperName

    void setHelperName(java.lang.String value)

  Sets the value of the '`Helper Name`' attribute.

  Parameters:
    `value` - the new value of the 'Helper Name' attribute.
  See Also:
    `getHelperName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD